gr::gfdm::modulator_cc_impl Class Reference

`#include <modulator_cc_impl.h>`

Inheritance diagram for gr::gfdm::modulator_cc_impl:
[legend]

## Public Member Functions

| modulator_cc_impl (int nsubcarrier, int ntimeslots, double filter_alpha, int fft_len, int sync_fft_len, const std::string &len_tag_key)
| ~modulator_cc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)
virtual void | update_length_tags (int n_produced, int n_ports)

## Additional Inherited Members

Public Types inherited from gr::gfdm::modulator_cc
typedef boost::shared_ptr< modulator_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::modulator_cc
static sptr | make (int nsubcarrier, int ntimeslots, double filter_alpha, int fft_len, int sync_fft_len, const std::string &len_tag_key="frame_len")
| Return a shared_ptr to a new instance of gfdm::modulator_cc.

## Constructor & Destructor Documentation

## modulator_cc_impl()

gr::gfdm::modulator_cc_impl::modulator_cc_impl | ( | int | nsubcarrier,
|  | int | ntimeslots,
|  | double | filter_alpha,
|  | int | fft_len,
|  | int | sync_fft_len,
|  | const std::string & | len_tag_key
| ) |  |

## ~modulator_cc_impl()

gr::gfdm::modulator_cc_impl::~modulator_cc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::gfdm::modulator_cc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## update_length_tags()

virtual void gr::gfdm::modulator_cc_impl::update_length_tags | ( | int | n_produced,
|  | int | n_ports
| ) |  |

protectedvirtual

## work()

int gr::gfdm::modulator_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- modulator_cc_impl.h